Bug 1479414 - [v2v] Failures/Errors are not reflected at all in the Automate request messages
Summary: [v2v] Failures/Errors are not reflected at all in the Automate request messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Martin Betak
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:v2v
Depends On: 1473169
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-08 14:23 UTC by Satoe Imaishi
Modified: 2017-10-24 00:36 UTC (History)
8 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1473169
Environment:
Last Closed: 2017-10-24 00:36:38 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-08 14:28:35 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/fa360c17be289fff2167f612aff14c97abb533ca

commit fa360c17be289fff2167f612aff14c97abb533ca
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Aug 7 08:53:49 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 8 10:23:55 2017 -0400

    Merge pull request #161 from jelkosz/vm_import_change_phrasing_of_import_error
    
    Fix message when import fails
    (cherry picked from commit f590f0450598d7c29a7fb23d47986a9f39c1f1db)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479414

 .../VM/Transform/StateMachines/VmImport.class/__class__.yaml           | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Comment 3 Tomas Jelinek 2017-08-09 10:21:32 UTC
Please note that only one of the two patches needed to fix this bug have been backported - also the https://github.com/ManageIQ/manageiq-providers-ovirt/pull/73 needs backport.

Comment 5 CFME Bot 2017-08-10 20:43:20 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/04c0ee1d7c329061b29b972c4a7259ce8261e8bb

commit 04c0ee1d7c329061b29b972c4a7259ce8261e8bb
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Aug 9 09:21:24 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Aug 10 16:41:24 2017 -0400

    Merge pull request #168 from jelkosz/fix_failing_tests_due_to73
    
    fixed failing tests due to ManageIQ/manageiq-providers-ovirt#73
    (cherry picked from commit 6e7535b689a40884cfee4a25a0e203d4eac3ae9d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479414

 .../VM/Transform/Import.class/__methods__/list_infra_providers_spec.rb  | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Ilanit Stein 2017-08-28 10:12:19 UTC
Verified on CFME-5.8.2.0.20170824192913_b09a5f8/RHV-4.1.6-0.1.el7

A Failure in Windows VMs import from VMWare to RHV is reflected in the Request messages page. Request state became Finished with status Error.

Comment 8 errata-xmlrpc 2017-10-24 00:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.